<h2 style="display: none;">Volunteering</h2>
<div class="header-section padd-y-75">
    <div class="title-section padd-x-25 nd-clr transit-words">Volunteering</div>
</div>
<p>We are looking for enthusiastic people keen to give their talents, skills and time in service to Lord Krishna. We call it seva. In Sanskrit the word “seva” means “selfless service”, or work performed without any thought of reward or repayment. Seva helps to purify our senses and to grow spiritually, at the same time, contributes to the improvement of the community.</p>
<p>There are many ways you can engage with our vibrant community of both resident and non-resident volunteers:</p>
<ul>
    <li>Administration</li>
    <li>Book distribution</li>
    <li>Chanting of Hare Krishna maha-mantra in the streets</li>
    <li>Communications</li>
    <li>Community development</li>
    <li>Deity worship</li>
    <li>Education and training</li>
    <li>Events</li>
    <li>Festivals</li>
    <li>Food distribution to the homeless</li>
    <li>Guest care</li>
    <li>Kitchen services</li>
    <li>Live broadcasts</li>
    <li>Maintenance</li>
    <li>Outreach</li>
    <li>Publications</li>
    <li>Radha Krishna Records (our Temple record label)</li>
    <li>Sunday Feast cooking</li>
</ul>
<p>As well as in London, we also have centres in Folkestone (Atma Lounge) and Rochester (Closet Krishna) where you can volunteer also.</p>
<h3>How to get in touch</h3>
<p>If you are interested in volunteering at the Temple, please <a href="https://www.rldb.info/civicrm/profile/create?gid=23&reset=1" target="_blank">click here to complete our volunteer registration form</a>. One of our Volunteer Coordinators will then get in touch to arrange an opportunity for you.</p>